Index: trunk/src/ability.cc
===================================================================
--- trunk/src/ability.cc	(revision 9391)
+++ trunk/src/ability.cc	(revision 9406)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -20,5 +20,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/ai/ai.cc
===================================================================
--- trunk/src/ai/ai.cc	(revision 9391)
+++ trunk/src/ai/ai.cc	(revision 9406)
@@ -20,5 +20,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/defs/class_id.h
===================================================================
--- trunk/src/defs/class_id.h	(revision 9391)
+++ trunk/src/defs/class_id.h	(revision 9406)
@@ -127,4 +127,5 @@
   CL_NETWORK_MANAGER            =    0x00000050,
   CL_SHARED_NETWORK_DATA        =    0x00000051,
+  CL_NETWORK_SETTINGS           =    0x00000052,
   CL_ATMOSPHERIC_ENGINE         =    0x00000061,
 
@@ -422,4 +423,5 @@
   CL_PLAYER_STATS               =    0x00000d09,
   CL_SIMPLE_SYNC                =    0x00000d0a,
+  CL_NETWORK_MONITOR            =    0x00000d0b,
 
 
Index: trunk/src/defs/globals.h
===================================================================
--- trunk/src/defs/globals.h	(revision 9391)
+++ trunk/src/defs/globals.h	(revision 9406)
@@ -47,4 +47,5 @@
 
 #define   CONFIG_NAME_FULLSCREEN           "Fullscreen-mode"
+#define   CONFIG_NAME_NO_RENDER            "Norender-mode"
 #define   CONFIG_NAME_RESOLUTION           "Resolution"
 #define   CONFIG_NAME_WIREFRAME            "WireFrame-mode"
Index: trunk/src/lib/Makefile.am
===================================================================
--- trunk/src/lib/Makefile.am	(revision 9391)
+++ trunk/src/lib/Makefile.am	(revision 9406)
@@ -31,7 +31,7 @@
 	collision_detection \
 	collision_reaction \
+	gui \
 	network \
 	parser \
 	shell \
-	script_engine \
-	gui
+	script_engine
Index: trunk/src/lib/collision_detection/aabb.cc
===================================================================
--- trunk/src/lib/collision_detection/aabb.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/aabb.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "vector.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/aabb_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/aabb_tree_node.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/aabb_tree_node.cc	(revision 9406)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 
@@ -262,6 +262,4 @@
     const int* triangleIndexes, int length)
 {
-
-  Vector         axis[3];                            //!< the references to the obb axis
   Matrix         covMat(  box.covarianceMatrix  );   //!< covariance matrix (in the matrix dataform)
 
@@ -501,5 +499,5 @@
   if( this->overlapTest(this->bvElement, treeNode->bvElement, nodeA, nodeB))
   {
-    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassName(), nodeB->getClassName(), this->nodeLeft, this->nodeRight);
+    PRINTF(5)("collision @ lvl %i, object %s::%s vs. %s::%s, (%p, %p)\n", this->depth, nodeA->getClassCName(), nodeA->getCName(), nodeB->getClassCName(), nodeA->getCName(), this->nodeLeft, this->nodeRight);
 
 
Index: trunk/src/lib/collision_detection/bounding_sphere.cc
===================================================================
--- trunk/src/lib/collision_detection/bounding_sphere.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/bounding_sphere.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bounding_sphere.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/bounding_volume.cc
===================================================================
--- trunk/src/lib/collision_detection/bounding_volume.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/bounding_volume.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bounding_volume.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/bv_tree.cc
===================================================================
--- trunk/src/lib/collision_detection/bv_tree.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/bv_tree.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bv_tree.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/bv_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/bv_tree_node.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/bv_tree_node.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bv_tree_node.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- trunk/src/lib/collision_detection/cd_engine.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/cd_engine.cc	(revision 9406)
@@ -34,5 +34,5 @@
 #include "bsp_entity.h"
 
-using namespace std;
+
 
 
@@ -45,5 +45,5 @@
 
   this->bAbordOnFirstCollision = false;
-  
+
   this->terrain = NULL;
 }
@@ -86,5 +86,6 @@
         if( likely((*entity2) != this->terrain))
         {
-          PRINTF(5)("checking object %s (%s) against %s (%s)\n", (*entity1)->getClassName(), (*entity1)->getName(), (*entity2)->getClassName(), (*entity2)->getName());
+          PRINTF(5)("checking object %s (%s) against %s (%s)\n",
+            (*entity1)->getClassCName(), (*entity1)->getCName(), (*entity2)->getClassCName(), (*entity2)->getCName());
           tree = (*entity1)->getOBBTree();
           if( likely(tree != NULL) && (*entity2)->getOBBTree() != NULL)
@@ -113,5 +114,5 @@
       for(entityIterator = list1.begin(); entityIterator != list1.end(); entityIterator++)
       {
-//         PRINTF(0)("Checking: %s a %s\n", (*entityIterator)->getName(), (*entityIterator)->getClassName());
+//         PRINTF(0)("Checking: %s a %s\n", (*entityIterator)->getName(), (*entityIterator)->getClassCName());
         (dynamic_cast<BspEntity*>(*bspIterator)->getBspManager())->checkCollision(*entityIterator);
       }
Index: trunk/src/lib/collision_detection/obb.cc
===================================================================
--- trunk/src/lib/collision_detection/obb.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/obb.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "vector.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/obb_tree.cc	(revision 9406)
@@ -25,5 +25,5 @@
 #include "p_node.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 9391)
+++ trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 9406)
@@ -33,5 +33,5 @@
 
 
-using namespace std;
+
 
 
@@ -434,4 +434,5 @@
     }
   }
+  delete [] triangleCenter;
   PRINTF(4)("\nPartition1: got \t%i Vertices \nPartition2: got \t%i Vertices\n", partition1.size(), partition2.size());
 
@@ -476,10 +477,10 @@
     return;
 
-  float distanceMax = this->bvElement->radius + ((OBBTreeNode*)treeNode)->bvElement->radius;
-  float distance = fabs((nodeA->getAbsCoor() - nodeB->getAbsCoor()).len());
+//   float distanceMax = this->bvElement->radius + ((OBBTreeNode*)treeNode)->bvElement->radius;
+//   float distance = fabs((nodeA->getAbsCoor() - nodeB->getAbsCoor()).len());
 
 
 //   if( distance < distanceMax)
-//     PRINTF(0)(" %s (%s: group %i) vs %s (%s: group %i): distanceMax: %f, distance: %f\n", nodeA->getClassName(), nodeA->getName(), nodeA->getOMListNumber(), nodeB->getClassName(),  nodeB->getName(), nodeB->getOMListNumber(), distanceMax, distance);
+//     PRINTF(0)(" %s (%s: group %i) vs %s (%s: group %i): distanceMax: %f, distance: %f\n", nodeA->getClassCName(), nodeA->getName(), nodeA->getOMListNumber(), nodeB->getClassCName(),  nodeB->getName(), nodeB->getOMListNumber(), distanceMax, distance);
 
 
@@ -504,5 +505,5 @@
   if( this->overlapTest(this->bvElement, treeNode->bvElement, nodeA, nodeB))
   {
-    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassName(), nodeB->getClassName(), this->nodeLeft, this->nodeRight);
+    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassCName(), nodeB->getClassCName(), this->nodeLeft, this->nodeRight);
 
 
@@ -806,5 +807,5 @@
       if( this->obbTree->getOwner() != NULL)
       {
-        PRINTF(4)("debug poly draw: depth: %i, mode: %i, entity-name: %s, class: %s\n", depth, drawMode, this->obbTree->getOwner()->getName(), this->obbTree->getOwner()->getClassName());
+        PRINTF(4)("debug poly draw: depth: %i, mode: %i, entity-name: %s, class: %s\n", depth, drawMode, this->obbTree->getOwner()->getCName(), this->obbTree->getOwner()->getClassCName());
       }
       else
Index: trunk/src/lib/collision_reaction/collision.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/collision.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/collision_event.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision_event.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/collision_event.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/collision_handle.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision_handle.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/collision_handle.cc	(revision 9406)
@@ -29,5 +29,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -178,5 +178,5 @@
 
  c->registerCollisionEvent(collisionEvent);
- PRINTF(5)("Registering Collision Event: %s, %s\n", collisionEvent->getEntityA()->getClassName(), collisionEvent->getEntityB()->getClassName());
+ PRINTF(5)("Registering Collision Event: %s, %s\n", collisionEvent->getEntityA()->getClassCName(), collisionEvent->getEntityB()->getClassCName());
 }
 
@@ -204,5 +204,5 @@
 
   // collision reaction calculations (for every collision there will be a reaction)
-  vector<Collision*>::iterator it = this->collisionList.begin();
+  std::vector<Collision*>::iterator it = this->collisionList.begin();
   for(; it < this->collisionList.end(); it++) {
     if( !(*it)->isDispatched())
@@ -227,24 +227,24 @@
 bool CollisionHandle::filterCollisionEvent(CollisionEvent* collisionEvent)
 {
-  vector<long>::iterator it = this->targetList.begin();
+  std::vector<long>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
 //     if(collisionEvent->getEntityB()->isA(CL_AIMING_SYSTEM) || collisionEvent->getEntityA()->isA(CL_AIMING_SYSTEM))
 //     {
-//        PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassName(), collisionEvent->getEntityB()->getClassName(), *it);
+//        PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassCName(), collisionEvent->getEntityB()->getClassCName(), *it);
 //        if( collisionEvent->getEntityA() == this->owner) {
-//          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//          collisionEvent->getEntityB()->getClassName(), *it);
+//          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//          collisionEvent->getEntityB()->getClassCName(), *it);
 //          if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
-//            PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//            collisionEvent->getEntityB()->getClassName(), *it);
+//            PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//            collisionEvent->getEntityB()->getClassCName(), *it);
 //             }
 //        }
 //        else {
-//          PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//          collisionEvent->getEntityB()->getClassName(), *it);
+//          PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//          collisionEvent->getEntityB()->getClassCName(), *it);
 //          if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
-//            PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//            collisionEvent->getEntityA()->getClassName(), *it);
+//            PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//            collisionEvent->getEntityA()->getClassCName(), *it);
 //             }
 //        }
@@ -254,12 +254,12 @@
     if( collisionEvent->getEntityA() == this->owner) {
       if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
-        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-                  collisionEvent->getEntityB()->getClassName(), *it);
+        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+                  collisionEvent->getEntityB()->getClassCName(), *it);
         return true; }
     }
     else {
       if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
-        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-                  collisionEvent->getEntityA()->getClassName(), *it);
+        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+                  collisionEvent->getEntityA()->getClassCName(), *it);
       return true; }
     }
@@ -276,5 +276,5 @@
 bool CollisionHandle::filterCollision(Collision* collision)
 {
-  vector<long>::iterator it = this->targetList.begin();
+  std::vector<long>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
@@ -282,19 +282,19 @@
 //     if(collision->getEntityB()->isA(CL_AIMING_SYSTEM) || collision->getEntityA()->isA(CL_AIMING_SYSTEM))
 //     {
-//       PRINTF(0)("Shared!!! I am: %s colliding with: %s\n", owner->getClassName(), collision->getEntityB()->getClassName(), *it);
+//       PRINTF(0)("Shared!!! I am: %s colliding with: %s\n", owner->getClassCName(), collision->getEntityB()->getClassCName(), *it);
 //       if( collision->getEntityA() == this->owner) {
-//         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//         collision->getEntityB()->getClassName(), *it);
+//         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//         collision->getEntityB()->getClassCName(), *it);
 //         if( collision->getEntityB()->isA((ClassID)(*it))) {
-//           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//           collision->getEntityB()->getClassName(), *it);
+//           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//           collision->getEntityB()->getClassCName(), *it);
 //         }
 //       }
 //       else {
-//         PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//         collision->getEntityB()->getClassName(), *it);
+//         PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//         collision->getEntityB()->getClassCName(), *it);
 //         if( collision->getEntityA()->isA((ClassID)(*it))) {
-//           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//           collision->getEntityA()->getClassName(), *it);
+//           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//           collision->getEntityA()->getClassCName(), *it);
 //         }
 //       }
Index: trunk/src/lib/collision_reaction/collision_reaction.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision_reaction.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/collision_reaction.cc	(revision 9406)
@@ -19,5 +19,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/cr_engine.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_engine.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/cr_engine.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -61,8 +61,8 @@
   this->reset();
 
-  vector<Collision*>::iterator it1 = this->collisionsUnused.begin();
+  std::vector<Collision*>::iterator it1 = this->collisionsUnused.begin();
   for(; it1 < this->collisionsUnused.end(); it1++)
     delete *it1;
-  vector<CollisionEvent*>::iterator it2 = this->collisionEventsUnused.begin();
+  std::vector<CollisionEvent*>::iterator it2 = this->collisionEventsUnused.begin();
   for(; it2 < this->collisionEventsUnused.end(); it2++)
     delete *it2;
@@ -92,5 +92,5 @@
   // first clear all CollisionHandles
 
-  vector<CollisionHandle*>::iterator it = this->collisionHandles.begin();
+  std::vector<CollisionHandle*>::iterator it = this->collisionHandles.begin();
   for(; it < this->collisionHandles.end(); it++)
   {
@@ -159,9 +159,9 @@
 void CREngine::flushCollisions()
 {
-  vector<Collision*>::iterator it1 = this->collisionsUsed.begin();
+  std::vector<Collision*>::iterator it1 = this->collisionsUsed.begin();
   for(; it1 < this->collisionsUsed.end(); it1++)
     this->collisionsUnused.push_back(*it1);
 
-  vector<CollisionEvent*>::iterator it2 = this->collisionEventsUsed.begin();
+  std::vector<CollisionEvent*>::iterator it2 = this->collisionEventsUsed.begin();
   for(; it2 < this->collisionEventsUsed.end(); it2++)
     this->collisionEventsUnused.push_back(*it2);
Index: trunk/src/lib/collision_reaction/cr_object_damage.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_object_damage.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/cr_object_damage.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -57,6 +57,6 @@
 
   PRINTF(4)("Dealing damage - Handling collision: %s vs %s\n",
-            collision->getEntityA()->getClassName(),
-            collision->getEntityB()->getClassName());
+            collision->getEntityA()->getClassCName(),
+            collision->getEntityB()->getClassCName());
 
   // the collision damage been dealed by the entity
@@ -64,5 +64,5 @@
     damage = collision->getEntityB()->getDamage();
     collision->getEntityA()->hit(damage, collision->getEntityB());
-    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityA()->getClassName());
+    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityA()->getClassCName());
   }
 
@@ -70,5 +70,5 @@
     damage = collision->getEntityA()->getDamage();
     collision->getEntityB()->hit(damage, collision->getEntityA());
-    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityB()->getClassName());
+    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityB()->getClassCName());
   }
 
Index: trunk/src/lib/collision_reaction/cr_physics_full_walk.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "cr_defs.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9391)
+++ trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "cr_defs.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/coord/p_node.cc
===================================================================
--- trunk/src/lib/coord/p_node.cc	(revision 9391)
+++ trunk/src/lib/coord/p_node.cc	(revision 9406)
@@ -21,4 +21,6 @@
 #include "class_list.h"
 
+#include "netdefs.h"
+
 #include <algorithm>
 #include "compiler.h"
@@ -27,6 +29,4 @@
 #include "glincl.h"
 #include "color.h"
-
-#include "synchronizeable.h"
 
 /**
@@ -77,5 +77,5 @@
 PNode::~PNode ()
 {
-  PRINTF(4)("delete %s::%s\n", this->getClassName(), this->getName());
+  PRINTF(4)("delete %s::%s\n", this->getClassCName(), this->getCName());
   // remove the Node, delete it's children (if required).
   std::list<PNode*>::iterator deleteNode;
@@ -91,6 +91,6 @@
       {
         PRINTF(4)("%s::%s deletes %s::%s\n",
-                  this->getClassName(), this->getName(),
-                  (*deleteNode)->getClassName(), (*deleteNode)->getName());
+                  this->getClassCName(), this->getCName(),
+                  (*deleteNode)->getClassCName(), (*deleteNode)->getCName());
         delete (*deleteNode);
       }
@@ -98,6 +98,6 @@
       {
         PRINTF(4)("%s::%s reparents %s::%s\n",
-                  this->getClassName(), this->getName(),
-                  (*deleteNode)->getClassName(), (*deleteNode)->getName());
+                  this->getClassCName(), this->getCName(),
+                  (*deleteNode)->getClassCName(), (*deleteNode)->getCName());
         (*deleteNode)->reparent();
       }
@@ -106,6 +106,6 @@
     {
       PRINTF(4)("%s::%s deletes PNode: %s::%s\n",
-                this->getClassName(), this->getName(),
-                (*deleteNode)->getClassName(), (*deleteNode)->getName());
+                this->getClassCName(), this->getCName(),
+                (*deleteNode)->getClassCName(), (*deleteNode)->getCName());
       delete (*deleteNode);
     }
@@ -509,5 +509,5 @@
   {
     PRINTF(1)("Tried to reparent to own child '%s::%s' to '%s::%s'.\n",
-              this->getClassName(), this->getName(), child->getClassName(), child->getName());
+              this->getClassCName(), this->getCName(), child->getClassCName(), child->getCName());
     child->parent = NULL;
     child->parentCoorChanged();
@@ -519,10 +519,10 @@
 {
   PNode* tmpNode = node->parent;
-  printf("entering seek PNode loop for name: %s, uid: %i\n", node->getName(), node->getUniqueID());
+  printf("entering seek PNode loop for name: %s, uid: %i\n", node->getCName(), node->getUniqueID());
   if(tmpNode)
-    printf("  @node name: %s, uid: %d\n", tmpNode->getName(), tmpNode->getUniqueID());
+    printf("  @node name: %s, uid: %d\n", tmpNode->getCName(), tmpNode->getUniqueID());
   while( tmpNode != NULL && tmpNode->getUniqueID() == NET_UID_UNASSIGNED)
   {
-    printf("  @node name: %s, uid: %d\n", tmpNode->getName(), tmpNode->getUniqueID());
+    printf("  @node name: %s, uid: %d\n", tmpNode->getCName(), tmpNode->getUniqueID());
     tmpNode = tmpNode->parent;
   }
@@ -604,7 +604,7 @@
         (*reparenter)->parentMode & PNODE_REPARENT_ON_PARENTS_REMOVE)
     {
-      printf("TEST----------------%s ---- %s\n", this->getClassName(), (*reparenter)->getClassName());
+      printf("TEST----------------%s ---- %s\n", this->getClassCName(), (*reparenter)->getClassCName());
       (*reparenter)->reparent();
-      printf("REPARENTED TO: %s::%s\n",(*reparenter)->getParent()->getClassName(),(*reparenter)->getParent()->getName());
+      printf("REPARENTED TO: %s::%s\n",(*reparenter)->getParent()->getClassCName(),(*reparenter)->getParent()->getCName());
     }
   }
@@ -628,5 +628,5 @@
   else
     PRINTF(2)("Not Found PNode's (%s::%s) new Parent by Name: %s\n",
-        this->getClassName(), this->getName(), parentName.c_str());
+        this->getClassCName(), this->getCName(), parentName.c_str());
 }
 
@@ -785,5 +785,5 @@
           delete this->toCoordinate;
           this->toCoordinate = NULL;
-          PRINTF(5)("SmoothMove of %s finished\n", this->getName());
+          PRINTF(5)("SmoothMove of %s finished\n", this->getCName());
         }
       }
@@ -793,5 +793,5 @@
         if (unlikely (shiftLen >= 1.0))
           shiftLen = 1.0;
-        //printf("%s::%s %f\n", this->getClassName(), this->getName(), this->toStep );
+        //printf("%s::%s %f\n", this->getClassCName(), this->getName(), this->toStep );
         Quaternion rotQuat = Quaternion::quatSlerp(this->relDirection,*this->toDirection, shiftLen);
         if (this->relDirection.distance(rotQuat) > PNODE_ITERATION_DELTA)
@@ -804,5 +804,5 @@
           delete this->toDirection;
           this->toDirection = NULL;
-          PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
+          PRINTF(5)("SmoothRotate of %s finished\n", this->getCName());
           this->bRelDirChanged = true;
         }
@@ -812,5 +812,5 @@
       this->lastAbsCoordinate = this->absCoordinate;
 
-      PRINTF(5)("PNode::update - '%s::%s' - (%f, %f, %f)\n", this->getClassName(), this->getName(),
+      PRINTF(5)("PNode::update - '%s::%s' - (%f, %f, %f)\n", this->getClassCName(), this->getCName(),
                 this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
 
@@ -840,5 +840,5 @@
     else // Nodes without a Parent are handled faster :: MOST LIKELY THE NULLPARENT
     {
-      PRINTF(4)("update ParentLess Node (%s::%s) - (%f, %f, %f)\n", this->getClassName(), this->getName(),
+      PRINTF(4)("update ParentLess Node (%s::%s) - (%f, %f, %f)\n", this->getClassCName(), this->getCName(),
                 this->absCoordinate.x, this->absCoordinate.y, this->absCoordinate.z);
       if (this->bRelCoorChanged)
@@ -913,6 +913,6 @@
 
   PRINT(0)("PNode(%s::%s) - absCoord: (%0.2f, %0.2f, %0.2f), relCoord(%0.2f, %0.2f, %0.2f), direction(%0.2f, %0.2f, %0.2f) - %s - %d childs\n",
-           this->getClassName(),
-           this->getName(),
+           this->getClassCName(),
+           this->getCName(),
            this->absCoordinate.x,
            this->absCoordinate.y,
@@ -1090,5 +1090,5 @@
 {
   Synchronizeable::varChangeHandler( id );
-  
+
   if ( std::find( id.begin(), id.end(), relCoordinate_handle ) != id.end() )
   {
Index: trunk/src/lib/coord/p_node.h
===================================================================
--- trunk/src/lib/coord/p_node.h	(revision 9391)
+++ trunk/src/lib/coord/p_node.h	(revision 9406)
@@ -20,5 +20,4 @@
 
 #include "base_object.h"
-#include "stdincl.h"
 #include "synchronizeable.h"
 
@@ -112,5 +111,5 @@
   /** @returns the absolute position */
   inline const Vector& getLastAbsCoor () const { return this->lastAbsCoordinate; };
-  
+
   void shiftCoor (const Vector& shift);
   void shiftCoor (float x, float y, float z) { this->shiftCoor(Vector(x, y, z)); };
Index: trunk/src/lib/event/event_handler.cc
===================================================================
--- trunk/src/lib/event/event_handler.cc	(revision 9391)
+++ trunk/src/lib/event/event_handler.cc	(revision 9406)
@@ -207,5 +207,5 @@
       else
       {
-        PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassName(), el->getName(), i, eventType);
+        PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassCName(), el->getCName(), i, eventType);
       }
   }
@@ -216,5 +216,5 @@
     else
     {
-      PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassName(), el->getName(), state, eventType);
+      PRINTF(2)("%s::%s was already subscribed to state %d event %d\n", el->getClassCName(), el->getCName(), state, eventType);
     }
   }
@@ -463,5 +463,10 @@
   {
     PRINT(4)("=  Event dispatcher msg: This event has been consumed\n");
-    PRINT(4)("=  Got Event nr %i, for state %i (%d registered) to %s::%s(%p)\n", event.type, i, state, this->listeners[state][event.type][i]->getClassName(), this->listeners[state][event.type][i]->getName(), this->listeners[state][event.type][i]);
+    PRINT(4)("=  Got Event nr %i, for state %i (%d registered) to %s::%s(%p)\n",
+      event.type,
+      i, state,
+      this->listeners[state][event.type][i]->getClassCName(),
+      this->listeners[state][event.type][i]->getCName(),
+      this->listeners[state][event.type][i]);
     PRINT(4)("=======================================================\n");
     this->listeners[state][event.type][i]->process(event);
@@ -563,5 +568,5 @@
         EVToKeyName(j).c_str(), j,
         ELStateToString((elState)i).c_str(), i,
-        this->listeners[i][j][evl]->getName(), this->listeners[i][j][evl]);
+        this->listeners[i][j][evl]->getCName(), this->listeners[i][j][evl]);
   }
   PRINT(0)("============================EH=\n");
Index: trunk/src/lib/event/key_mapper.cc
===================================================================
--- trunk/src/lib/event/key_mapper.cc	(revision 9391)
+++ trunk/src/lib/event/key_mapper.cc	(revision 9406)
@@ -31,5 +31,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/lib/graphics/effects/atmospheric_engine.cc
===================================================================
--- trunk/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9391)
+++ trunk/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9406)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 /**
@@ -116,5 +116,5 @@
         std::list<BaseObject*>::const_iterator it;
         for (it = weatherEffects->begin(); it != weatherEffects->end(); it++) {
-            /*      printf("%s::%s \n", (*it)->getClassName(), (*it)->getName());*/
+            /*      printf("%s::%s \n", (*it)->getClassCName(), (*it)->getName());*/
             dynamic_cast<WeatherEffect*>(*it)->tick(dt);
         }
Index: trunk/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/cloud_effect.cc	(revision 9391)
+++ trunk/src/lib/graphics/effects/cloud_effect.cc	(revision 9406)
@@ -40,5 +40,5 @@
 float     CloudEffect::fadeTime;
 
-using namespace std;
+
 
 SHELL_COMMAND(activate, CloudEffect, activateCloud);
Index: trunk/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/fog_effect.cc	(revision 9391)
+++ trunk/src/lib/graphics/effects/fog_effect.cc	(revision 9406)
@@ -28,5 +28,5 @@
 SHELL_COMMAND(fadeout, FogEffect, fadeOutFog);
 
-using namespace std;
+
 
 CREATE_SCRIPTABLE_CLASS(FogEffect, CL_FOG_EFFECT,
Index: trunk/src/lib/graphics/effects/graphics_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/graphics_effect.cc	(revision 9391)
+++ trunk/src/lib/graphics/effects/graphics_effect.cc	(revision 9406)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- trunk/src/lib/graphics/effects/lense_flare.cc	(revision 9391)
+++ trunk/src/lib/graphics/effects/lense_flare.cc	(revision 9406)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 
